Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Message

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Message

public class Message extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBody()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `List<BGServerFile>`
  `getFileList()`
  `int`
  `getId()`
  `int`
  `getTopicId()`
  `int`
  `getUserIdFrom()`
  `int`
  `getUserIdTo()`
  `String`
  `getUserNameFrom()`
  `String`
  `getUserNameTo()`
  `String`
  `getUuid()`
  `boolean`
  `isIncludes()`
  `Message`
  `setBody(String body)`
  `Message`
  `setComment(String comment)`
  `Message`
  `setDateFrom(Date dateFrom)`
  `Message`
  `setDateTo(Date dateTo)`
  `Message`
  `setFileList(List<BGServerFile> fileList)`
  `Message`
  `setId(int id)`
  `Message`
  `setIncludes(boolean includes)`
  `Message`
  `setTopicId(int topicId)`
  `Message`
  `setUserIdFrom(int userIdFrom)`
  `Message`
  `setUserIdTo(int userIdTo)`
  `Message`
  `setUserNameFrom(String userNameFrom)`
  `Message`
  `setUserNameTo(String userNameTo)`
  `Message`
  `setUuid(String uuid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getBody

    public String getBody()

  - ### getComment

    public String getComment()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getFileList

    public List<BGServerFile> getFileList()

  - ### getId

    public int getId()

  - ### getTopicId

    public int getTopicId()

  - ### getUserIdFrom

    public int getUserIdFrom()

  - ### getUserIdTo

    public int getUserIdTo()

  - ### getUserNameFrom

    public String getUserNameFrom()

  - ### getUserNameTo

    public String getUserNameTo()

  - ### getUuid

    public String getUuid()

  - ### isIncludes

    public boolean isIncludes()

  - ### setBody

    public Message setBody(String body)

  - ### setComment

    public Message setComment(String comment)

  - ### setDateFrom

    public Message setDateFrom(Date dateFrom)

  - ### setDateTo

    public Message setDateTo(Date dateTo)

  - ### setFileList

    public Message setFileList(List<BGServerFile> fileList)

  - ### setId

    public Message setId(int id)

  - ### setIncludes

    public Message setIncludes(boolean includes)

  - ### setTopicId

    public Message setTopicId(int topicId)

  - ### setUserIdFrom

    public Message setUserIdFrom(int userIdFrom)

  - ### setUserIdTo

    public Message setUserIdTo(int userIdTo)

  - ### setUserNameFrom

    public Message setUserNameFrom(String userNameFrom)

  - ### setUserNameTo

    public Message setUserNameTo(String userNameTo)

  - ### setUuid

    public Message setUuid(String uuid)